Article ID: 6588, created on Aug 19, 2009, last review on Apr 21, 2012

  • Applies to:
  • Plesk 9.x for Linux/Unix

Síntomas

Una vez instalado o actualizado Parallels Plesk Panel a la versión 9.2 en una instalación SuSE, YaST ya no se inicia:

~# yast
//sbin/yast: line 27: //lib/YaST2/bin/yast2-funcs: No such file or directory
//sbin/yast: line 250: set_lang_from_sysconfig: command not found
//sbin/yast: line 279: check_ncurses: command not found
package yast2-qt is not installed
package yast2-gtk is not installed  
Something is wrong with the YaST user interface.

Causa

La variable de sistema $PATH se modifica durante la instalación del paquete psa-courier-imap de tal forma que se incluyen barras oblicuas dobles (//). YaST no puede interpretar las barras oblicuas dobles en la variable de sistema $PATH y experimenta errores. 

Resolución

Se trata de una incidencia conocida que será corregida en la próxima versión de Parallels Plesk Panel. De momento, como solución alternativa, reemplace las barras oblicuas dobles (//) por una barra oblicua única (/) en la variable de sistema $PATH y elimine cualquier ruta repetida. Por ejemplo:

PATH = /usr/kerberos/sbin:/usr/kerberos/bin://sbin://bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin

debe reemplazarse por:

PATH = /usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin

Además, compruebe que ha instalado los paquetes no encontrados citados en el mensaje de error. En el ejemplo es yast2-qt and yast2-gtk.

6ef0db7f1685482449634a455d77d3f4 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF